be.fgov.ehealth.hubservices.core.v3

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v3.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.hubservices.core.v3 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.hubservices.core.v3

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessRightListType` | `createAccessRightListType()` Create an instance of `AccessRightListType`
    `AccessRightType` | `createAccessRightType()` Create an instance of `AccessRightType`
    `AcknowledgeType` | `createAcknowledgeType()` Create an instance of `AcknowledgeType`
    `Consent` | `createConsent()` Create an instance of `Consent`
    `ConsentHCPartyType` | `createConsentHCPartyType()` Create an instance of `ConsentHCPartyType`
    `ConsentType` | `createConsentType()` Create an instance of `ConsentType`
    `Criteria` | `createCriteria()` Create an instance of `Criteria`
    `DeclareTransactionRequest` | `createDeclareTransactionRequest()` Create an instance of `DeclareTransactionRequest`
    `DeclareTransactionResponse` | `createDeclareTransactionResponse()` Create an instance of `DeclareTransactionResponse`
    `FolderType` | `createFolderType()` Create an instance of `FolderType`
    `FolderTypeUnbounded` | `createFolderTypeUnbounded()` Create an instance of `FolderTypeUnbounded`
    `GetAccessRightRequest` | `createGetAccessRightRequest()` Create an instance of `GetAccessRightRequest`
    `GetAccessRightResponse` | `createGetAccessRightResponse()` Create an instance of `GetAccessRightResponse`
    `GetHCPartyConsentRequest` | `createGetHCPartyConsentRequest()` Create an instance of `GetHCPartyConsentRequest`
    `GetHCPartyConsentResponse` | `createGetHCPartyConsentResponse()` Create an instance of `GetHCPartyConsentResponse`
    `GetHCPartyRequest` | `createGetHCPartyRequest()` Create an instance of `GetHCPartyRequest`
    `GetHCPartyResponse` | `createGetHCPartyResponse()` Create an instance of `GetHCPartyResponse`
    `GetLatestUpdateRequest` | `createGetLatestUpdateRequest()` Create an instance of `GetLatestUpdateRequest`
    `GetLatestUpdateResponse` | `createGetLatestUpdateResponse()` Create an instance of `GetLatestUpdateResponse`
    `GetPatientAuditTrailRequest` | `createGetPatientAuditTrailRequest()` Create an instance of `GetPatientAuditTrailRequest`
    `GetPatientAuditTrailResponse` | `createGetPatientAuditTrailResponse()` Create an instance of `GetPatientAuditTrailResponse`
    `GetPatientConsentRequest` | `createGetPatientConsentRequest()` Create an instance of `GetPatientConsentRequest`
    `GetPatientConsentResponse` | `createGetPatientConsentResponse()` Create an instance of `GetPatientConsentResponse`
    `GetPatientRequest` | `createGetPatientRequest()` Create an instance of `GetPatientRequest`
    `GetPatientResponse` | `createGetPatientResponse()` Create an instance of `GetPatientResponse`
    `GetTherapeuticLinkRequest` | `createGetTherapeuticLinkRequest()` Create an instance of `GetTherapeuticLinkRequest`
    `GetTherapeuticLinkResponse` | `createGetTherapeuticLinkResponse()` Create an instance of `GetTherapeuticLinkResponse`
    `GetTransactionListRequest` | `createGetTransactionListRequest()` Create an instance of `GetTransactionListRequest`
    `GetTransactionListResponse` | `createGetTransactionListResponse()` Create an instance of `GetTransactionListResponse`
    `GetTransactionRequest` | `createGetTransactionRequest()` Create an instance of `GetTransactionRequest`
    `GetTransactionResponse` | `createGetTransactionResponse()` Create an instance of `GetTransactionResponse`
    `GetTransactionSetRequest` | `createGetTransactionSetRequest()` Create an instance of `GetTransactionSetRequest`
    `GetTransactionSetResponse` | `createGetTransactionSetResponse()` Create an instance of `GetTransactionSetResponse`
    `HCPartyAdaptedType` | `createHCPartyAdaptedType()` Create an instance of `HCPartyAdaptedType`
    `HCPartyIdType` | `createHCPartyIdType()` Create an instance of `HCPartyIdType`
    `HcpartyType` | `createHcpartyType()` Create an instance of `HcpartyType`
    `KmehrHeaderDeclareTransaction` | `createKmehrHeaderDeclareTransaction()` Create an instance of `KmehrHeaderDeclareTransaction`
    `KmehrHeaderGetTransactionList` | `createKmehrHeaderGetTransactionList()` Create an instance of `KmehrHeaderGetTransactionList`
    `Latestupdate` | `createLatestupdate()` Create an instance of `Latestupdate`
    `LatestUpdateListType` | `createLatestUpdateListType()` Create an instance of `LatestUpdateListType`
    `Paginationrequestinfo` | `createPaginationrequestinfo()` Create an instance of `Paginationrequestinfo`
    `Paginationresponseinfo` | `createPaginationresponseinfo()` Create an instance of `Paginationresponseinfo`
    `PatientIdType` | `createPatientIdType()` Create an instance of `PatientIdType`
    `PutAccessRightRequest` | `createPutAccessRightRequest()` Create an instance of `PutAccessRightRequest`
    `PutAccessRightResponse` | `createPutAccessRightResponse()` Create an instance of `PutAccessRightResponse`
    `PutHCPartyConsentRequest` | `createPutHCPartyConsentRequest()` Create an instance of `PutHCPartyConsentRequest`
    `PutHCPartyConsentResponse` | `createPutHCPartyConsentResponse()` Create an instance of `PutHCPartyConsentResponse`
    `PutHCPartyRequest` | `createPutHCPartyRequest()` Create an instance of `PutHCPartyRequest`
    `PutHCPartyResponse` | `createPutHCPartyResponse()` Create an instance of `PutHCPartyResponse`
    `PutPatientConsentRequest` | `createPutPatientConsentRequest()` Create an instance of `PutPatientConsentRequest`
    `PutPatientConsentResponse` | `createPutPatientConsentResponse()` Create an instance of `PutPatientConsentResponse`
    `PutPatientRequest` | `createPutPatientRequest()` Create an instance of `PutPatientRequest`
    `PutPatientResponse` | `createPutPatientResponse()` Create an instance of `PutPatientResponse`
    `PutTherapeuticLinkRequest` | `createPutTherapeuticLinkRequest()` Create an instance of `PutTherapeuticLinkRequest`
    `PutTherapeuticLinkResponse` | `createPutTherapeuticLinkResponse()` Create an instance of `PutTherapeuticLinkResponse`
    `PutTransactionRequest` | `createPutTransactionRequest()` Create an instance of `PutTransactionRequest`
    `PutTransactionResponse` | `createPutTransactionResponse()` Create an instance of `PutTransactionResponse`
    `PutTransactionSetRequest` | `createPutTransactionSetRequest()` Create an instance of `PutTransactionSetRequest`
    `PutTransactionSetResponse` | `createPutTransactionSetResponse()` Create an instance of `PutTransactionSetResponse`
    `RequestListType` | `createRequestListType()` Create an instance of `RequestListType`
    `RequestPublicationRequest` | `createRequestPublicationRequest()` Create an instance of `RequestPublicationRequest`
    `RequestPublicationResponse` | `createRequestPublicationResponse()` Create an instance of `RequestPublicationResponse`
    `RequestType` | `createRequestType()` Create an instance of `RequestType`
    `ResponseListType` | `createResponseListType()` Create an instance of `ResponseListType`
    `ResponseType` | `createResponseType()` Create an instance of `ResponseType`
    `RevokeAccessRightRequest` | `createRevokeAccessRightRequest()` Create an instance of `RevokeAccessRightRequest`
    `RevokeAccessRightResponse` | `createRevokeAccessRightResponse()` Create an instance of `RevokeAccessRightResponse`
    `RevokeHCPartyConsentRequest` | `createRevokeHCPartyConsentRequest()` Create an instance of `RevokeHCPartyConsentRequest`
    `RevokeHCPartyConsentResponse` | `createRevokeHCPartyConsentResponse()` Create an instance of `RevokeHCPartyConsentResponse`
    `RevokePatientConsentRequest` | `createRevokePatientConsentRequest()` Create an instance of `RevokePatientConsentRequest`
    `RevokePatientConsentResponse` | `createRevokePatientConsentResponse()` Create an instance of `RevokePatientConsentResponse`
    `RevokeTherapeuticLinkRequest` | `createRevokeTherapeuticLinkRequest()` Create an instance of `RevokeTherapeuticLinkRequest`
    `RevokeTherapeuticLinkResponse` | `createRevokeTherapeuticLinkResponse()` Create an instance of `RevokeTherapeuticLinkResponse`
    `RevokeTransactionRequest` | `createRevokeTransactionRequest()` Create an instance of `RevokeTransactionRequest`
    `RevokeTransactionResponse` | `createRevokeTransactionResponse()` Create an instance of `RevokeTransactionResponse`
    `SelectGetAccessRightType` | `createSelectGetAccessRightType()` Create an instance of `SelectGetAccessRightType`
    `SelectGetHCPartyConsentType` | `createSelectGetHCPartyConsentType()` Create an instance of `SelectGetHCPartyConsentType`
    `SelectGetHCPartyPatientConsentType` | `createSelectGetHCPartyPatientConsentType()` Create an instance of `SelectGetHCPartyPatientConsentType`
    `SelectGetHCPartyType` | `createSelectGetHCPartyType()` Create an instance of `SelectGetHCPartyType`
    `SelectGetLatestUpdateType` | `createSelectGetLatestUpdateType()` Create an instance of `SelectGetLatestUpdateType`
    `SelectGetPatientAuditTrailType` | `createSelectGetPatientAuditTrailType()` Create an instance of `SelectGetPatientAuditTrailType`
    `SelectGetPatientConsentType` | `createSelectGetPatientConsentType()` Create an instance of `SelectGetPatientConsentType`
    `SelectGetPatientType` | `createSelectGetPatientType()` Create an instance of `SelectGetPatientType`
    `SelectGetTransactionListType` | `createSelectGetTransactionListType()` Create an instance of `SelectGetTransactionListType`
    `SelectGetTransactionType` | `createSelectGetTransactionType()` Create an instance of `SelectGetTransactionType`
    `SelectRequestPublicationType` | `createSelectRequestPublicationType()` Create an instance of `SelectRequestPublicationType`
    `SelectRevokeAccessRightType` | `createSelectRevokeAccessRightType()` Create an instance of `SelectRevokeAccessRightType`
    `SelectRevokeTransactionType` | `createSelectRevokeTransactionType()` Create an instance of `SelectRevokeTransactionType`
    `TherapeuticLinkListType` | `createTherapeuticLinkListType()` Create an instance of `TherapeuticLinkListType`
    `TherapeuticLinkType` | `createTherapeuticLinkType()` Create an instance of `TherapeuticLinkType`
    `Transactionaccess` | `createTransactionaccess()` Create an instance of `Transactionaccess`
    `TransactionAccessListType` | `createTransactionAccessListType()` Create an instance of `TransactionAccessListType`
    `TransactionBaseType` | `createTransactionBaseType()` Create an instance of `TransactionBaseType`
    `TransactionIdType` | `createTransactionIdType()` Create an instance of `TransactionIdType`
    `TransactionSummaryType` | `createTransactionSummaryType()` Create an instance of `TransactionSummaryType`
    `TransactionWithPeriodType` | `createTransactionWithPeriodType()` Create an instance of `TransactionWithPeriodType`
    `TransactionWithSpecificTime` | `createTransactionWithSpecificTime()` Create an instance of `TransactionWithSpecificTime`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.hubservices.core.v3

  - ### Method Detail

    - #### createKmehrHeaderGetTransactionList

          public KmehrHeaderGetTransactionList createKmehrHeaderGetTransactionList()

      Create an instance of `KmehrHeaderGetTransactionList`

    - #### createFolderTypeUnbounded

          public FolderTypeUnbounded createFolderTypeUnbounded()

      Create an instance of `FolderTypeUnbounded`

    - #### createKmehrHeaderDeclareTransaction

          public KmehrHeaderDeclareTransaction createKmehrHeaderDeclareTransaction()

      Create an instance of `KmehrHeaderDeclareTransaction`

    - #### createFolderType

          public FolderType createFolderType()

      Create an instance of `FolderType`

    - #### createPatientIdType

          public PatientIdType createPatientIdType()

      Create an instance of `PatientIdType`

    - #### createTransactionIdType

          public TransactionIdType createTransactionIdType()

      Create an instance of `TransactionIdType`

    - #### createTransactionWithPeriodType

          public TransactionWithPeriodType createTransactionWithPeriodType()

      Create an instance of `TransactionWithPeriodType`

    - #### createTransactionBaseType

          public TransactionBaseType createTransactionBaseType()

      Create an instance of `TransactionBaseType`

    - #### createHCPartyAdaptedType

          public HCPartyAdaptedType createHCPartyAdaptedType()

      Create an instance of `HCPartyAdaptedType`

    - #### createHCPartyIdType

          public HCPartyIdType createHCPartyIdType()

      Create an instance of `HCPartyIdType`

    - #### createConsentHCPartyType

          public ConsentHCPartyType createConsentHCPartyType()

      Create an instance of `ConsentHCPartyType`

    - #### createConsentType

          public ConsentType createConsentType()

      Create an instance of `ConsentType`

    - #### createSelectGetPatientConsentType

          public SelectGetPatientConsentType createSelectGetPatientConsentType()

      Create an instance of `SelectGetPatientConsentType`

    - #### createConsent

          public Consent createConsent()

      Create an instance of `Consent`

    - #### createTherapeuticLinkType

          public TherapeuticLinkType createTherapeuticLinkType()

      Create an instance of `TherapeuticLinkType`

    - #### createSelectGetHCPartyPatientConsentType

          public SelectGetHCPartyPatientConsentType createSelectGetHCPartyPatientConsentType()

      Create an instance of `SelectGetHCPartyPatientConsentType`

    - #### createAccessRightType

          public AccessRightType createAccessRightType()

      Create an instance of `AccessRightType`

    - #### createHcpartyType

          public HcpartyType createHcpartyType()

      Create an instance of `HcpartyType`

    - #### createSelectRevokeAccessRightType

          public SelectRevokeAccessRightType createSelectRevokeAccessRightType()

      Create an instance of `SelectRevokeAccessRightType`

    - #### createSelectGetPatientAuditTrailType

          public SelectGetPatientAuditTrailType createSelectGetPatientAuditTrailType()

      Create an instance of `SelectGetPatientAuditTrailType`

    - #### createAccessRightListType

          public AccessRightListType createAccessRightListType()

      Create an instance of `AccessRightListType`

    - #### createTransactionAccessListType

          public TransactionAccessListType createTransactionAccessListType()

      Create an instance of `TransactionAccessListType`

    - #### createTransactionaccess

          public Transactionaccess createTransactionaccess()

      Create an instance of `Transactionaccess`

    - #### createRequestType

          public RequestType createRequestType()

      Create an instance of `RequestType`

    - #### createRequestListType

          public RequestListType createRequestListType()

      Create an instance of `RequestListType`

    - #### createAcknowledgeType

          public AcknowledgeType createAcknowledgeType()

      Create an instance of `AcknowledgeType`

    - #### createResponseType

          public ResponseType createResponseType()

      Create an instance of `ResponseType`

    - #### createResponseListType

          public ResponseListType createResponseListType()

      Create an instance of `ResponseListType`

    - #### createTherapeuticLinkListType

          public TherapeuticLinkListType createTherapeuticLinkListType()

      Create an instance of `TherapeuticLinkListType`

    - #### createLatestUpdateListType

          public LatestUpdateListType createLatestUpdateListType()

      Create an instance of `LatestUpdateListType`

    - #### createSelectGetTransactionListType

          public SelectGetTransactionListType createSelectGetTransactionListType()

      Create an instance of `SelectGetTransactionListType`

    - #### createSelectGetTransactionType

          public SelectGetTransactionType createSelectGetTransactionType()

      Create an instance of `SelectGetTransactionType`

    - #### createSelectRevokeTransactionType

          public SelectRevokeTransactionType createSelectRevokeTransactionType()

      Create an instance of `SelectRevokeTransactionType`

    - #### createSelectGetPatientType

          public SelectGetPatientType createSelectGetPatientType()

      Create an instance of `SelectGetPatientType`

    - #### createSelectGetHCPartyType

          public SelectGetHCPartyType createSelectGetHCPartyType()

      Create an instance of `SelectGetHCPartyType`

    - #### createSelectGetHCPartyConsentType

          public SelectGetHCPartyConsentType createSelectGetHCPartyConsentType()

      Create an instance of `SelectGetHCPartyConsentType`

    - #### createSelectGetAccessRightType

          public SelectGetAccessRightType createSelectGetAccessRightType()

      Create an instance of `SelectGetAccessRightType`

    - #### createSelectRequestPublicationType

          public SelectRequestPublicationType createSelectRequestPublicationType()

      Create an instance of `SelectRequestPublicationType`

    - #### createSelectGetLatestUpdateType

          public SelectGetLatestUpdateType createSelectGetLatestUpdateType()

      Create an instance of `SelectGetLatestUpdateType`

    - #### createDeclareTransactionRequest

          public DeclareTransactionRequest createDeclareTransactionRequest()

      Create an instance of `DeclareTransactionRequest`

    - #### createDeclareTransactionResponse

          public DeclareTransactionResponse createDeclareTransactionResponse()

      Create an instance of `DeclareTransactionResponse`

    - #### createPutTransactionRequest

          public PutTransactionRequest createPutTransactionRequest()

      Create an instance of `PutTransactionRequest`

    - #### createPutTransactionSetRequest

          public PutTransactionSetRequest createPutTransactionSetRequest()

      Create an instance of `PutTransactionSetRequest`

    - #### createPutTransactionResponse

          public PutTransactionResponse createPutTransactionResponse()

      Create an instance of `PutTransactionResponse`

    - #### createPutTransactionSetResponse

          public PutTransactionSetResponse createPutTransactionSetResponse()

      Create an instance of `PutTransactionSetResponse`

    - #### createGetTransactionListRequest

          public GetTransactionListRequest createGetTransactionListRequest()

      Create an instance of `GetTransactionListRequest`

    - #### createGetTransactionListResponse

          public GetTransactionListResponse createGetTransactionListResponse()

      Create an instance of `GetTransactionListResponse`

    - #### createGetTransactionRequest

          public GetTransactionRequest createGetTransactionRequest()

      Create an instance of `GetTransactionRequest`

    - #### createGetTransactionSetRequest

          public GetTransactionSetRequest createGetTransactionSetRequest()

      Create an instance of `GetTransactionSetRequest`

    - #### createGetTransactionResponse

          public GetTransactionResponse createGetTransactionResponse()

      Create an instance of `GetTransactionResponse`

    - #### createGetTransactionSetResponse

          public GetTransactionSetResponse createGetTransactionSetResponse()

      Create an instance of `GetTransactionSetResponse`

    - #### createRevokeTransactionRequest

          public RevokeTransactionRequest createRevokeTransactionRequest()

      Create an instance of `RevokeTransactionRequest`

    - #### createRevokeTransactionResponse

          public RevokeTransactionResponse createRevokeTransactionResponse()

      Create an instance of `RevokeTransactionResponse`

    - #### createPutPatientRequest

          public PutPatientRequest createPutPatientRequest()

      Create an instance of `PutPatientRequest`

    - #### createPutPatientResponse

          public PutPatientResponse createPutPatientResponse()

      Create an instance of `PutPatientResponse`

    - #### createGetPatientRequest

          public GetPatientRequest createGetPatientRequest()

      Create an instance of `GetPatientRequest`

    - #### createGetPatientResponse

          public GetPatientResponse createGetPatientResponse()

      Create an instance of `GetPatientResponse`

    - #### createPutPatientConsentRequest

          public PutPatientConsentRequest createPutPatientConsentRequest()

      Create an instance of `PutPatientConsentRequest`

    - #### createPutPatientConsentResponse

          public PutPatientConsentResponse createPutPatientConsentResponse()

      Create an instance of `PutPatientConsentResponse`

    - #### createGetPatientConsentRequest

          public GetPatientConsentRequest createGetPatientConsentRequest()

      Create an instance of `GetPatientConsentRequest`

    - #### createGetPatientConsentResponse

          public GetPatientConsentResponse createGetPatientConsentResponse()

      Create an instance of `GetPatientConsentResponse`

    - #### createRevokePatientConsentRequest

          public RevokePatientConsentRequest createRevokePatientConsentRequest()

      Create an instance of `RevokePatientConsentRequest`

    - #### createRevokePatientConsentResponse

          public RevokePatientConsentResponse createRevokePatientConsentResponse()

      Create an instance of `RevokePatientConsentResponse`

    - #### createPutHCPartyRequest

          public PutHCPartyRequest createPutHCPartyRequest()

      Create an instance of `PutHCPartyRequest`

    - #### createPutHCPartyResponse

          public PutHCPartyResponse createPutHCPartyResponse()

      Create an instance of `PutHCPartyResponse`

    - #### createGetHCPartyRequest

          public GetHCPartyRequest createGetHCPartyRequest()

      Create an instance of `GetHCPartyRequest`

    - #### createGetHCPartyResponse

          public GetHCPartyResponse createGetHCPartyResponse()

      Create an instance of `GetHCPartyResponse`

    - #### createPutHCPartyConsentRequest

          public PutHCPartyConsentRequest createPutHCPartyConsentRequest()

      Create an instance of `PutHCPartyConsentRequest`

    - #### createPutHCPartyConsentResponse

          public PutHCPartyConsentResponse createPutHCPartyConsentResponse()

      Create an instance of `PutHCPartyConsentResponse`

    - #### createGetHCPartyConsentRequest

          public GetHCPartyConsentRequest createGetHCPartyConsentRequest()

      Create an instance of `GetHCPartyConsentRequest`

    - #### createGetHCPartyConsentResponse

          public GetHCPartyConsentResponse createGetHCPartyConsentResponse()

      Create an instance of `GetHCPartyConsentResponse`

    - #### createRevokeHCPartyConsentRequest

          public RevokeHCPartyConsentRequest createRevokeHCPartyConsentRequest()

      Create an instance of `RevokeHCPartyConsentRequest`

    - #### createRevokeHCPartyConsentResponse

          public RevokeHCPartyConsentResponse createRevokeHCPartyConsentResponse()

      Create an instance of `RevokeHCPartyConsentResponse`

    - #### createPutTherapeuticLinkRequest

          public PutTherapeuticLinkRequest createPutTherapeuticLinkRequest()

      Create an instance of `PutTherapeuticLinkRequest`

    - #### createPutTherapeuticLinkResponse

          public PutTherapeuticLinkResponse createPutTherapeuticLinkResponse()

      Create an instance of `PutTherapeuticLinkResponse`

    - #### createGetTherapeuticLinkRequest

          public GetTherapeuticLinkRequest createGetTherapeuticLinkRequest()

      Create an instance of `GetTherapeuticLinkRequest`

    - #### createGetTherapeuticLinkResponse

          public GetTherapeuticLinkResponse createGetTherapeuticLinkResponse()

      Create an instance of `GetTherapeuticLinkResponse`

    - #### createRevokeTherapeuticLinkRequest

          public RevokeTherapeuticLinkRequest createRevokeTherapeuticLinkRequest()

      Create an instance of `RevokeTherapeuticLinkRequest`

    - #### createRevokeTherapeuticLinkResponse

          public RevokeTherapeuticLinkResponse createRevokeTherapeuticLinkResponse()

      Create an instance of `RevokeTherapeuticLinkResponse`

    - #### createPutAccessRightRequest

          public PutAccessRightRequest createPutAccessRightRequest()

      Create an instance of `PutAccessRightRequest`

    - #### createPutAccessRightResponse

          public PutAccessRightResponse createPutAccessRightResponse()

      Create an instance of `PutAccessRightResponse`

    - #### createGetAccessRightRequest

          public GetAccessRightRequest createGetAccessRightRequest()

      Create an instance of `GetAccessRightRequest`

    - #### createGetAccessRightResponse

          public GetAccessRightResponse createGetAccessRightResponse()

      Create an instance of `GetAccessRightResponse`

    - #### createRevokeAccessRightRequest

          public RevokeAccessRightRequest createRevokeAccessRightRequest()

      Create an instance of `RevokeAccessRightRequest`

    - #### createRevokeAccessRightResponse

          public RevokeAccessRightResponse createRevokeAccessRightResponse()

      Create an instance of `RevokeAccessRightResponse`

    - #### createGetLatestUpdateRequest

          public GetLatestUpdateRequest createGetLatestUpdateRequest()

      Create an instance of `GetLatestUpdateRequest`

    - #### createGetLatestUpdateResponse

          public GetLatestUpdateResponse createGetLatestUpdateResponse()

      Create an instance of `GetLatestUpdateResponse`

    - #### createTransactionSummaryType

          public TransactionSummaryType createTransactionSummaryType()

      Create an instance of `TransactionSummaryType`

    - #### createGetPatientAuditTrailRequest

          public GetPatientAuditTrailRequest createGetPatientAuditTrailRequest()

      Create an instance of `GetPatientAuditTrailRequest`

    - #### createGetPatientAuditTrailResponse

          public GetPatientAuditTrailResponse createGetPatientAuditTrailResponse()

      Create an instance of `GetPatientAuditTrailResponse`

    - #### createRequestPublicationResponse

          public RequestPublicationResponse createRequestPublicationResponse()

      Create an instance of `RequestPublicationResponse`

    - #### createRequestPublicationRequest

          public RequestPublicationRequest createRequestPublicationRequest()

      Create an instance of `RequestPublicationRequest`

    - #### createTransactionWithSpecificTime

          public TransactionWithSpecificTime createTransactionWithSpecificTime()

      Create an instance of `TransactionWithSpecificTime`

    - #### createPaginationrequestinfo

          public Paginationrequestinfo createPaginationrequestinfo()

      Create an instance of `Paginationrequestinfo`

    - #### createPaginationresponseinfo

          public Paginationresponseinfo createPaginationresponseinfo()

      Create an instance of `Paginationresponseinfo`

    - #### createCriteria

          public Criteria createCriteria()

      Create an instance of `Criteria`

    - #### createLatestupdate

          public Latestupdate createLatestupdate()

      Create an instance of `Latestupdate`

Connector Package PERSMIDWIFE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.